--Solstice Racetrack by Razyx

--You Can use 0, 1, -1 instead. 
local STRAIGHT = 0
local LEFT = 1 
local RIGHT = -1


Track =
{
   Name = "Solstice Race Track",
   --Track Image Info
   --Track Image must be 1280 x 720
   --Start Position on the Image x,y from Top Left
   Start = { 511, 145 },
   
   --How many pixels per meter ( Pixels / Length )
   --Measure a long straight and then manipulate from there
   Scale = 15 / 35,


   Layout = {		0,				RIGHT,		LEFT,		LEFT,		0,			RIGHT,		RIGHT,		0,
					RIGHT,			0,			LEFT,		LEFT,		LEFT,		LEFT,		0,			RIGHT,
					0,				RIGHT,		0,			RIGHT,		RIGHT,		RIGHT,		RIGHT,		0,
					LEFT,			LEFT,		LEFT,		0,			RIGHT,		RIGHT,		RIGHT,		RIGHT,
					0,				LEFT,		RIGHT,		0
   },   -- Straight 0 , Corner Left 1, Corner Right -1
   LayoutInfo = {	350,			86,			88,			64,			480,		86,			69.5,		410,
					85,				330,		30,			55,			66,			84,			110,		84,
					325,			155.75,		2450,		90,			30,			32,			31,			506,
					86,				74,			36,			570,		100,		23,			30,			39,
					310,			34,			34,			320
   },      -- Straight Length [m] or Corner Angle [°]
   CornerRadius = {	0,				160,		314,		358,		0,			114,		222,		0,
					220,			0,			520,		160,		174,		60,			0,			174,
					0,				130,		0,			125,		185,		220,		552,		0,
					288,			156,		534,		0,			170,		145,		448,		192,
					0,				170,		170,		0
   },         -- Corner Radius [m], 0 for Straight
   Slope = {		0,				0,			0,			0,			5,			8,			0,			-4,
					-7,				0,			-2,			-5,			-3,			0,			2,			3,
					3,				0,			0,			0,			0,			0,			0,			-2,
					-3,				0,			5,			1,			0,			0,			0,			0,
					0,				0,			0,			0
   },         -- [%] (-: descending, +: climbing)
   Sportiness = {	0,				0,			0,			0,			0,			1,			2,			2,
					3,				2,			2,			1,			1,			2,			3,			3,
					2,				1,			0,			0,			1,			2,			2,			1,
					1,				0,			0,			0,			0,			0,			0,			0,
					0,				0,			0,			0
   },         -- 0: no problems, 5: problems with untame car
   Camber = {		0,				-4,			3,			5,			0,			0,			2,			0,
					-4,				0,			-2,			-3,			-2,			0,			0,			0,
					0,				-3,			0,			-6,			-10,		-8,			-6,			0,
					0,				4,			5,			0,			0,			0,			0,			0,
					0,				0,			0,			0
   },         -- [°] (positive values: banking to left /, negative: banking to right \)
   Split1 = 3884.4,
   Split2 = 8379,
   --S2 4494.6
   --S3 3594.1
}
